summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-06 14:40:50 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-06 14:44:11 +0200
commit605489040a5c4df7b119ba4dea80728c46136755 (patch)
tree50dd29bbbeaf21f42b971c699f4b480cddabe0d2
parentce16a75c785cb97137d3d0328fd60374442c9c70 (diff)
downloadjenkins.debian.net-605489040a5c4df7b119ba4dea80728c46136755.tar.xz
reproducible: handle rsync problems with remote builds
-rw-r--r--TODO6
-rwxr-xr-xbin/reproducible_build.sh17
2 files changed, 16 insertions, 7 deletions
diff --git a/TODO b/TODO
index 280db49d..c0715fd4 100644
--- a/TODO
+++ b/TODO
@@ -239,12 +239,6 @@ properties:
* reproducible_build.sh changes needed:
** diffoscope needs to be run on the target arch...
*** can't this be run via qemu on the host?
-* deal with rsync problems as in https://jenkins.debian.net/job/reproducible_builder_armhf_4/61/:
-----
-jenkins_node_wrapper.sh[14148] remote_host called with rsync --server --sender -re.iLsfx . /srv/reproducible-results/tmp.QhHoGHUUnP/b1
-Write failed: Broken pipe
-rsync: connection unexpectedly closed (55445 bytes received so far) [receiver]
-----
* missing job definitions:
** reproducible_builder_amd64_1 runs "reproducible_build.sh profitbricks-build1-amd64 profitbricks-build2-amd64"
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 273291db..479ba1af 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -520,6 +520,11 @@ check_buildinfo() {
/srv/jenkins/bin/abort.sh
fi
rsync -e "ssh -p $PORT1" -r $NODE1:$TMPDIR/b1 $TMPDIR/
+ RESULT=$?
+ if [ $RESULT -ne 0 ] ; then
+ echo "Unhandled error when rsyncing remote build job results, please investigate."
+ /srv/jenkins/bin/abort.sh
+ fi
ls -R $TMPDIR
ssh -p $PORT1 $NODE1 "rm -r $TMPDIR"
fi
@@ -551,7 +556,12 @@ build_rebuild() {
/srv/jenkins/bin/abort.sh
fi
rsync -e "ssh -p $PORT1" -r $NODE1:$TMPDIR/b1 $TMPDIR/
- ls -R $TMPDIR
+ RESULT=$?
+ if [ $RESULT -ne 0 ] ; then
+ echo "Unhandled error when rsyncing remote build job results, please investigate."
+ /srv/jenkins/bin/abort.sh
+ fi
+ ls -R $TMPDIR
ssh -p $PORT1 $NODE1 "rm -r $TMPDIR"
fi
if [ ! -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] && [ -f b1/${SRCPACKAGE}_*_${ARCH}.changes ] ; then
@@ -580,6 +590,11 @@ build_rebuild() {
/srv/jenkins/bin/abort.sh
fi
rsync -e "ssh -p $PORT2" -r $NODE2:$TMPDIR/b2 $TMPDIR/
+ RESULT=$?
+ if [ $RESULT -ne 0 ] ; then
+ echo "Unhandled error when rsyncing remote build job results, please investigate."
+ /srv/jenkins/bin/abort.sh
+ fi
ls -R $TMPDIR
ssh -p $PORT2 $NODE2 "rm -r $TMPDIR"
fi